

/**
 ******************************************************************************
 *
 * @file        BSP_Buzzer.h
 * @brief       This is Buzzer H file.
 
 * @par         Project
 *              MG32x02z
 * @version     V1.01
 * @date        2022/04/20
 * @author      Megawin Software Center
 * @copyright   Copyright (c) 2017 MegaWin Technology Co., Ltd.
 *              All rights reserved.
 * 
 ******************************************************************************* 
 * @par Disclaimer
 * The Demo software is provided "AS IS" without any warranty, either
 * expressed or implied, including, but not limited to, the implied warranties
 * of merchantability and fitness for a particular purpose. The author will
 * not be liable for any special, incidental, consequential or indirect
 * damages due to loss of data or any other reason.
 * These statements agree with the world wide and local dictated laws about
 * authorship and violence against these laws.
 *******************************************************************************
 *******************************************************************************
 */

#ifndef _BSP_10_BUZZER_H

#define _BSP_10_BUZZER_H


#include "MG32x02z_GPIO_DRV.h"


/**
 * @name define
 *   		
 */ 
///@{
#define BSP_BUZZER_OFF()     PB9 = 0                /*!< Define Buzzer OFF.*/
#define BSP_BUZZER_ON()      PB9 = 1                /*!< Define Buzzer ON.*/

///@}


/**
 * @name function
 *   		
 */ 
///@{
void BSP_Buzzer_Init(void);
void BSP_Buzzer_Cmd(FunctionalState Buzzer_EN);

///@}

#endif

