


/**
 ******************************************************************************
 *
 * @file        BSP_11_RCServoMotor.h
 * @brief       This is RC Servo Motor H file.
 
 * @par         Project
 *              MG32x02z
 * @version     V1.01
 * @date        2022/05/09
 * @author      Megawin Software Center
 * @copyright   Copyright (c) 2017 MegaWin Technology Co., Ltd.
 *              All rights reserved.
 * 
 ******************************************************************************* 
 * @par Disclaimer
 * The Demo software is provided "AS IS" without any warranty, either
 * expressed or implied, including, but not limited to, the implied warranties
 * of merchantability and fitness for a particular purpose. The author will
 * not be liable for any special, incidental, consequential or indirect
 * damages due to loss of data or any other reason.
 * These statements agree with the world wide and local dictated laws about
 * authorship and violence against these laws.
 *******************************************************************************
 *******************************************************************************
 */


#ifndef _BSP_11_MICROSERVO9G_H

#define _BSP_11_MICROSERVO9G_H


#include "MG32x02z_GPIO_DRV.h"
#include "MG32x02z_TM_DRV.h"


/**
 * @name functions
 *   		
 */ 
///@{
void BSP_RCServoMotor_Init(void);
void BSP_RCServoMotor_ChangePulseWidth(uint8_t rModter_PulseWidth);
void BSP_RCServoMotor_ChangePulseRnagle( uint8_t sMotor_Pulse_Max , uint8_t sMotor_Pulse_Min);
///@}




#endif


