
/**
 ******************************************************************************
 *
 * @file        megawin-0000.c
 * @brief       This is a raw data of bitmap (mono color). 
 *
 * @par         Project
 *              MG32x02z
 * @version     V1.00
 * @date        2023/07/11
 * @author      Megawin Software Center
 * @copyright   Copyright (c) 2017 MegaWin Technology Co., Ltd.
 *              All rights reserved.
 *
 ******************************************************************************* 
 * @par Disclaimer
 * The Demo software is provided "AS IS" without any warranty, either
 * expressed or implied, including, but not limited to, the implied warranties
 * of merchantability and fitness for a particular purpose. The author will
 * not be liable for any special, incidental, consequential or indirect
 * damages due to loss of data or any other reason.
 * These statements agree with the world wide and local dictated laws about
 * authorship and violence against these laws.
 *******************************************************************************
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "MG32x02z_DRV.h"

/* Wizard menu ---------------------------------------------------------------*/
/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/

/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/

// Bitmap raw data, size: 80 x 70
#if defined (__ARMCC_VERSION) && (__ARMCC_VERSION >= 6010050) /* ARM Compiler V6 */
    #pragma clang diagnostic push
    #pragma clang diagnostic ignored "-Wmissing-variable-declarations"
        __ALIGNED(4) const uint8_t EPD_MCU_20231107[] = {
    #pragma clang diagnostic pop
#else
    __ALIGNED(4) const uint8_t EPD_MCU_20231107[] = {
#endif
	0xFF, 0xFF, 0xFF, 0xFF, 0x9F, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
    0xFF, 0xFF, 0xFF, 0xFF, 0x8B, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
    0xFF, 0xFF, 0xFF, 0xFF, 0x89, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
    0xFF, 0xFF, 0xFF, 0xFF, 0x11, 0x1F, 0xFF, 0xFF, 0xFF, 0xFF, 
    0xFF, 0xFF, 0xFF, 0xFF, 0x11, 0x11, 0xFF, 0xFF, 0xFF, 0xFF, 
    0xFF, 0xFF, 0xFF, 0xFF, 0x11, 0x11, 0x3F, 0xFF, 0xFF, 0xFF, 
    0xFF, 0xFF, 0xDF, 0xFF, 0x02, 0x22, 0x27, 0xFF, 0xFF, 0xFF, 
    0xFF, 0xFF, 0x87, 0xFA, 0x12, 0x22, 0x23, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0x83, 0xE0, 0x22, 0x22, 0x22, 0x3F, 0xFF, 0xFF, 
    0xFF, 0xFF, 0x81, 0x80, 0x02, 0x20, 0x44, 0x47, 0xFF, 0xFF, 
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x22, 0x44, 0x44, 0x7F, 0xFF, 
    0xFF, 0xFF, 0x00, 0x00, 0x00, 0x06, 0x44, 0x44, 0x4F, 0xFF, 
    0xFF, 0xFF, 0x02, 0x00, 0x00, 0x00, 0x44, 0x08, 0x88, 0xFF, 
    0xFF, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x04, 0x08, 0x88, 0xFF, 
    0xFF, 0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x48, 0x88, 0xFF, 
    0xFF, 0xFE, 0x08, 0x00, 0x00, 0x00, 0x20, 0x88, 0x81, 0xFF, 
    0xFF, 0xF8, 0x04, 0x00, 0x00, 0x00, 0x00, 0x08, 0x81, 0xFF, 
    0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x81, 0xFF, 
    0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x11, 0xFF, 
    0xFF, 0xF0, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 
	0xFF, 0xE0, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 
    0xFF, 0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 
    0xFF, 0xF0, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 
    0xFF, 0xC2, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 
    0xFF, 0xC1, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 
    0xFF, 0xC0, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x47, 
    0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 
    0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03, 
    0xFF, 0x83, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0x07, 
    0xFF, 0x01, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 
    0xFE, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 
    0xFE, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 
	0xFC, 0x86, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0x1F, 
    0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 
    0xFC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 
    0xF8, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x3F, 
	0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 
    0xF0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 
    0xF0, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0xFF, 
    0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 
	0xE0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 
    0xE0, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x41, 0xFF, 
    0xFC, 0x20, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 
    0xFE, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x01, 0xFF, 
	0xFF, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x83, 0xFF, 
    0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 
    0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 
    0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x07, 0xFF, 
	0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 
    0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x0F, 0xFF, 
    0xFF, 0x80, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x1F, 0xFF, 
    0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x04, 0x3F, 0xFF, 
	0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xFF, 
    0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3F, 0xFF, 
    0xFF, 0xC0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x08, 0x7F, 0xFF, 
    0xFF, 0xF8, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xFF, 
	0xFF, 0xFD, 0x81, 0x00, 0x00, 0x00, 0x00, 0x00, 0x7F, 0xFF, 
    0xFF, 0xFF, 0x90, 0x00, 0x00, 0x00, 0x00, 0x20, 0xFF, 0xFF, 
    0xFF, 0xFF, 0xF9, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 
    0xFF, 0xFF, 0xFF, 0x30, 0x00, 0x00, 0x00, 0x01, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xF2, 0x00, 0x00, 0x00, 0x07, 0xFF, 0xFF, 
    0xFF, 0xFF, 0xFF, 0xFE, 0x20, 0x00, 0x00, 0xCF, 0xFF, 0xFF, 
    0xFF, 0xFF, 0xFF, 0xFF, 0xE4, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 
    0xFF, 0xFF, 0xFF, 0xFF, 0xFC, 0x00, 0x01, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFE, 0xC0, 0x03, 0xFF, 0xFF, 0xFF, 
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xE8, 0x7F, 0xFF, 0xFF, 0xFF, 
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFD, 0xFF, 0xFF, 0xFF, 0xFF, 
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
	0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
    0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 
};

/* Private function prototypes -----------------------------------------------*/
/* Exported variables --------------------------------------------------------*/
/* Exported functions --------------------------------------------------------*/
/* External vairables --------------------------------------------------------*/
