


/**
 ******************************************************************************
 *
 * @file        BSP_12_BLE_HC06.h
 *
 * @brief       This is the C code file.
 *
 * @par         Project
 *              MG32x02z
 * @version     V1.00
 * @date        2023/05/08
 * @author      Megawin Software Center
 * @copyright   Copyright (c) 2017 MegaWin Technology Co., Ltd.
 *              All rights reserved.
 *
 ******************************************************************************* 
 * @par Disclaimer
 * The Demo software is provided "AS IS" without any warranty, either
 * expressed or implied, including, but not limited to, the implied warranties
 * of merchantability and fitness for a particular purpose. The author will
 * not be liable for any special, incidental, consequential or indirect
 * damages due to loss of data or any other reason.
 * These statements agree with the world wide and local dictated laws about
 * authorship and violence against these laws.
 *******************************************************************************
 *******************************************************************************
 */
 
#ifndef _BSP_12_BLE_HC06_H

#define _BSP_12_BLE_HC06_H

#include "MG32x02z.h"


/* Includes ----------------------------------------------------------*/
/* Wizard menu -------------------------------------------------------*/
/* define ------------------------------------------------------------*/
/* typedef -----------------------------------------------------------*/
/* Macro -------------------------------------------------------------*/
/* Variables ---------------------------------------------------------*/
extern uint8_t BLE_RXF;

/* Function prototypes -----------------------------------------------*/
void BSP_BLE_Init(void); 
void BSP_BLE_IRQHandler(void);
uint8_t GetConnectedStatus(void);
uint8_t BSP_BLE_WriteTxBuffer(uint8_t* TX_Index, uint8_t TX_Number);
uint8_t BSP_BLE_ReadRxBuffer (uint8_t* DestIndex, uint8_t DestMaxSize);
void BSP_BLE_ClearBleRxBuffer(void);
void BSP_BLE_ClearBleTxBuffer(void);
void BSP_BLE_RxOverRunCallback(void);
void BSP_BLE_ReadCallback(void);

#endif




