


/**
 ******************************************************************************
 *
 * @file        BSP_19_LCD.h
 * @brief       This is LCD H file.
 
 * @par         Project
 *              MG32x02z
 * @version     V1.01
 * @date        2022/05/23
 * @author      Megawin Software Center
 * @copyright   Copyright (c) 2017 MegaWin Technology Co., Ltd.
 *              All rights reserved.
 * 
 ******************************************************************************* 
 * @par Disclaimer
 * The Demo software is provided "AS IS" without any warranty, either
 * expressed or implied, including, but not limited to, the implied warranties
 * of merchantability and fitness for a particular purpose. The author will
 * not be liable for any special, incidental, consequential or indirect
 * damages due to loss of data or any other reason.
 * These statements agree with the world wide and local dictated laws about
 * authorship and violence against these laws.
 *******************************************************************************
 *******************************************************************************
 */

#ifndef _BSP_19_LCD_H

#define _BSP_19_LCD_H


#include "MG32x02z_GPIO_DRV.h"
#include "MG32x02z_TM_DRV.h"


/**
 * @name define
 *   		
 */ 
///@{
#define BSP_LCM_SUCCESS      0
#define BSP_LCM_FAILURE      1
#define BSP_LCM_BUSY         2
///@}



/**
 * @name function
 *   		
 */ 
///@{
void BSP_LCM_Init(void);
uint8_t BSP_LCM_ShowString( const char *LCM_Line1String, const char *LCM_Line2String);
uint8_t BSP_LCM_GetStatus(void);
///@}

#endif





