


/**
 ******************************************************************************
 *
 * @file        __BSP_Wizard.h
 * @brief       This is BSP Wizard H file.
 
 * @par         Project
 *              MG32x02z
 * @version     V1.00
 * @date        2023/05/10
 * @author      Megawin Software Center
 * @copyright   Copyright (c) 2017 MegaWin Technology Co., Ltd.
 *              All rights reserved.
 * 
 ******************************************************************************* 
 * @par Disclaimer
 * The Demo software is provided "AS IS" without any warranty, either
 * expressed or implied, including, but not limited to, the implied warranties
 * of merchantability and fitness for a particular purpose. The author will
 * not be liable for any special, incidental, consequential or indirect
 * damages due to loss of data or any other reason.
 * These statements agree with the world wide and local dictated laws about
 * authorship and violence against these laws.
 *******************************************************************************
 *******************************************************************************
 */

#ifndef _BSP_WIZARD_H

#define _BSP_WIZARD_H

//*** <<< Use Configuration Wizard in Context Menu >>> ***
//<q0> 0. DEBUG
#define BSP_0_DEBUG                      0
//<q0> 2. ARGB  
#define BSP_2_ARGB                       0                
//<q0> 3. RGB                              
#define BSP_3_RGB                        0                
//<q0> 7. Step Motor                     
#define BSP_7_STEP_MOTOR                 0
//<q0> 8. Variable Resistor              
#define BSP_8_VAR                        0                
//<q0> 9. Rotary Encoder               
#define BSP_9_ROTARY_ENCODER             0                
//<q0> 10. Buzzer                        
#define BSP_10_BUZZER                    0                
//<q0> 11. RC Servo Motor
#define BSP_11_RC_SERVO_MOTOR            0  
//<i> The project use Micro Servo 9g
//<e0> 12. BLE                           
    //<o1> BLE module <0=> MG126 <1=> HC06 <2=> HC42
#define BSP_12_BLE                       0
    #define BSP_12_BLE_MODULE                0
        #define BSP_12_BLE_MODULE_MG126          0
        #define BSP_12_BLE_MODULE_HC06           1
        #define BSP_12_BLE_MODULE_HC42           2 
//</e>
//<e0> 13. SPI Flash                     
    //<o1> RDID (0x000000 ~ 0xFFFFFF) < 0x000000 - 0xFFFFFF>
    //<i>  Manufacturer ID  + Memory type + Memory density.
#define BSP_13_SPIFLASH                  0
    #define BSP_13_SPIFLASH_RDID             0x1728C2
//</e>
//<q0> 14. EEPROM                        
#define BSP_14_EEPROM                    0
//<q0> 15. 4 X 4 Keyboard                
#define BSP_15_4X4_KEYBOARD              0                
//<q0> 17. 2 Color Dot Matrix LED  + Shift Register 
#define BSP_17_2COLOR_DOTMATRIX_LED      0                
//<q0> 18. Seven Segment Display      
#define BSP_18_7SEGMENT_DISPLAY          0                
//<q0> 19. LCD ( LCM 16 x 2 )                           
#define BSP_19_LCD                       0


//*** <<< end of configuration section >>>    ***



         




#endif















