

/**
 ******************************************************************************
 *
 * @file        Sample_main_wizard.C
 * @brief       MG32x02z demo main c Code. 
 *
 * @par         Project
 *              MG32x02z
 * @version     V1.01
 * @date        2021/05/24
 * @author      Megawin Software Center
 * @copyright   Copyright (c) 2017 MegaWin Technology Co., Ltd.
 *              All rights reserved.
 *
 ******************************************************************************* 
 * @par Disclaimer
 * The Demo software is provided "AS IS" without any warranty, either
 * expressed or implied, including, but not limited to, the implied warranties
 * of merchantability and fitness for a particular purpose. The author will
 * not be liable for any special, incidental, consequential or indirect
 * damages due to loss of data or any other reason.
 * These statements agree with the world wide and local dictated laws about
 * authorship and violence against these laws.
 *******************************************************************************
 *******************************************************************************
 */



/* Includes ------------------------------------------------------------------*/
#include "MG32x02z_DRV.h"
#include "MG32x02z_ChipInit.h"

/* Wizard menu ---------------------------------------------------------------*/
/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
/* Exported variables --------------------------------------------------------*/
/* Exported functions --------------------------------------------------------*/
void Sample_SPI_MX25R512FFlash (void);

/* External vairables --------------------------------------------------------*/

int main(void)
{    
    // ------------------------------------------------------------------------
    // chip initial (User can enable CSC, GPIO, TM, ADC, EXIC ... wizard)
    // ------------------------------------------------------------------------
    ChipInit();    
        
    //==Set GPIO init
    //1. MOSI Pin
    //    (1).MG32x02z_GPIO_Init.h(Configuration Wizard)->Use GPIOB->Pin3
    //    (2).GPIO port initial is 0xFFFF
    //    (3).Pin3 mode is PPO (Push pull output)
    //    (4).Pin3 pull-up resister Disable
    //    (5).Pin3 function SPI0_TX
    //2. MISO Pin
    //    (1).MG32x02z_GPIO_Init.h(Configuration Wizard)->Use GPIOB->Pin1
    //    (2).GPIO port initial is 0xFFFF
    //    (3).Pin1 mode is DIN (Digital input)
    //    (4).Pin1 pull-up resister Enable
    //    (5).Pin1 function SPI0_RX
    //3. SPICLK Pin
    //    (1).MG32x02z_GPIO_Init.h(Configuration Wizard)->Use GPIOB->Pin2
    //    (2).GPIO port initial is 0xFFFF
    //    (3).Pin2 mode is PPO (Push pull output)
    //    (4).Pin2 pull-up resister Disable
    //    (5).Pin2 function SPI0_CLK
    //4. NSS Pin
    //    (1).MG32x02z_GPIO_Init.h(Configuration Wizard)->Use GPIOB->Pin0
    //    (2).GPIO port initial is 0xFFFF
    //    (3).Pin0 mode is PPO (Push pull output)
    //    (4).Pin0 pull-up resister Disable
    //    (5).Pin0 function GPIO (the NSS is software control)
    //5. D2 Pin
    //    (1).MG32x02z_GPIO_Init.h(Configuration Wizard)->Use GPIOB->Pin9
    //    (2).GPIO port initial is 0xFFFF
    //    (3).Pin9 mode is PPO (Push pull output)
    //    (4).Pin9 pull-up resister Disable
    //    (5).Pin9 output drive strength LEVEL3
    //    (6).Pin9 function SPI0_D2
    //6. D3 Pin
    //    (1).MG32x02z_GPIO_Init.h(Configuration Wizard)->Use GPIOB->Pin8
    //    (2).GPIO port initial is 0xFFFF
    //    (3).Pin8 mode is PPO (Push pull output)
    //    (4).Pin8 pull-up resister Disable
    //    (5).Pin8 output drive strength LEVEL3
    //    (6).Pin8 function SPI0_D3   
    
    Sample_SPI_MX25R512FFlash();
    
    while(1)
    {
        //To do......
    }
}




















