/**
 ******************************************************************************
 *
 * @file        Sample_EMB_Init.h
 *
 * @brief       Sample EMB Config Head File 
 *
 * @par         Project
 *              MG32x02z
 * @version     V1.15
 * @date        2021/05/25
 * @author      Megawin Software Center
 * @copyright   Copyright (c) 2019 Megawin Technology Co., Ltd.
 *              All rights reserved.
 *
 ******************************************************************************
 * @par Disclaimer 
 *      The Demo software is provided "AS IS"  without any warranty, either 
 *      expressed or implied, including, but not limited to, the implied warranties 
 *      of merchantability and fitness for a particular purpose.  The author will 
 *      not be liable for any special, incidental, consequential or indirect 
 *      damages due to loss of data or any other reason. 
 *      These statements agree with the world wide and local dictated laws about 
 *      authorship and violence against these laws. 
 ******************************************************************************
 *******************************************************************************
 */



#ifndef __MG32x02z_EMB_H
#define __MG32x02z_EMB_H
//#define __MG32x02z_EMB_H_VER                            0.01

#ifdef __cplusplus
 extern "C" {
#endif


/* Includes ------------------------------------------------------------------*/
#include "Sample__Common.h"
#include "MG32x02z_DRV.h"
#include "MG32x02z_EMB.h"

/* Wizard menu ---------------------------------------------------------------*/
/* Private typedef -----------------------------------------------------------*/
/**
 * @name    EMB Handle TypeDef
 *          EMB Handle TypeDef
 */ 
///@{
typedef struct{
    __IO EMB_Struct                 *Instance;
}Sample_EMB_HandleTypeDef;
///@}

/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
/* Exported variables --------------------------------------------------------*/
SMP_Return Sample_EMB_Init(Sample_EMB_HandleTypeDef *sEMB);
SMP_Return Sample_EMB_DeInit(Sample_EMB_HandleTypeDef *sEMB);

/* Exported functions --------------------------------------------------------*/
/* External vairables --------------------------------------------------------*/


#ifdef __cplusplus
}
#endif

#endif


