

/**
 ******************************************************************************
 *
 * @file        Sample__Common.h
 *
 * @brief       This is the C code format Sample head file.
 *
 * @par         Project
 *              MG32x02z
 * @version     V1.01
 * @date        2021/05/25
 * @author      Megawin Software Center
 * @copyright   Copyright (c) 2017 MegaWin Technology Co., Ltd.
 *              All rights reserved.
 *
 ******************************************************************************
 * @par         Disclaimer 
 *      The Demo software is provided "AS IS"  without any warranty, either 
 *      expressed or implied, including, but not limited to, the implied warranties 
 *      of merchantability and fitness for a particular purpose.  The author will 
 *      not be liable for any special, incidental, consequential or indirect 
 *      damages due to loss of data or any other reason. 
 *      These statements agree with the world wide and local dictated laws about 
 *      authorship and violence against these laws. 
 ******************************************************************************
 *******************************************************************************
 */


#ifndef _Sample_Common_DRV_H
#define _Sample_Common_DRV_H
#define _Sample_Common_DRV_H_VER                            0.1      /*!< File Version */

#ifdef __cplusplus
 extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "MG32x02z.h"

/* Wizard menu ---------------------------------------------------------------*/
/* Private typedef -----------------------------------------------------------*/
/**
 * @enum        SMP_Return
 * @brief       General Sample return status
 */
typedef enum
{
    SMP_Success = 0,            /*!< successful outcome                 */
    SMP_Failure = 1,            /*!< operation failed                   */
    SMP_Busy    = 2,
    SMP_Timeout = 3,
}SMP_Return;

/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
/* Exported variables --------------------------------------------------------*/
/* Exported functions --------------------------------------------------------*/
/* External vairables --------------------------------------------------------*/



#ifdef __cplusplus
}
#endif

#endif


